Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366339 - Please provide Python 3 bindings for systemd
Summary: Please provide Python 3 bindings for systemd
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemd
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: systemd-maint
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-11 17:18 UTC by John Florian
Modified: 2016-09-30 17:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-12 10:45:03 UTC


Attachments (Terms of Use)

Description John Florian 2016-08-11 17:18:03 UTC
Description of problem:
I have software that I'm trying to support atop both EL7 and Fedora which depends upon python3-systemd for logging directly to the journal.  It would be very helpful if this were also available for EL7, whatever the package name might be there.

Comment 2 Lukáš Nykrýn 2016-08-12 10:37:50 UTC
Hmm it looks that python3 is not in rhel7 at all.

Comment 3 Lukáš Nykrýn 2016-08-12 10:45:03 UTC
Anyway, with such request you should go through customer portal first.

Comment 4 John Florian 2016-09-30 17:30:20 UTC
Python3 is available via EPEL.  And I was hoping for this in CentOS actually.


Note You need to log in before you can comment on or make changes to this bug.